<?if(!defined("B_PROLOG_INCLUDED") || B_PROLOG_INCLUDED!==true)die();
/** @var array $arParams */
/** @var array $arResult */
/** @global CMain $APPLICATION */
/** @global CUser $USER */
/** @global CDatabase $DB */
/** @var CBitrixComponentTemplate $this */
/** @var string $templateName */
/** @var string $templateFile */
/** @var string $templateFolder */
/** @var string $componentPath */
/** @var CBitrixComponent $component */
$this->setFrameMode(true);

$this->addExternalJS("https://api-maps.yandex.ru/2.1/?lang=ru_RU");

$shops = array();

global $APPLICATION;
?>

<div class="col-xs-12 col-sm-4 contact_column-left">
	<ul class="contact_shop-item-body">
		<?foreach($arResult["ITEMS"] as $arItem):?>
			<?
			$shop = array(
				'ID' => $arItem['ID'],
				'NAME' => $arItem['NAME'],
				'POINT' => explode(',', $arItem['PROPERTIES']['MAP_POINT']['VALUE']),
				'ELEMENT_ID' => $this->GetEditAreaId($arItem['ID']),
			);

			$shops[] = $shop;

			$this->AddEditAction($arItem['ID'], $arItem['EDIT_LINK'], CIBlock::GetArrayByID($arItem["IBLOCK_ID"], "ELEMENT_EDIT"));
			$this->AddDeleteAction($arItem['ID'], $arItem['DELETE_LINK'], CIBlock::GetArrayByID($arItem["IBLOCK_ID"], "ELEMENT_DELETE"), array("CONFIRM" => GetMessage('CT_BNL_ELEMENT_DELETE_CONFIRM')));
			?>

			<li id="<?=$shop['ELEMENT_ID']?>">
				<a href="javascript:void(0);">
					<?= $arItem["NAME"] ?><br>
					<div class="contact_shop-phone">
						(<?= $arItem["PROPERTIES"]["ZONE"]["VALUE"] ?>)<br>
						тел.: <?= $arItem["PROPERTIES"]["PHONE"]["VALUE"] ?>
					</div>
				</a>
			</li>
		<?endforeach;?>
	</ul>
</div>

<?
$arJSParams = array(
	'MAP_CONTAINER_ID' => 'map',
	'SHOPS' => $shops,
	'CENTER_POINT' => array(55.032, 82.931672),
	'POINT_PICTURE_HREF' => $templateFolder . '/images/point.png',
	'ZOOM' => 13
);

?>
<div class="col-xs-12 col-sm-8 contact_column-right">
	<div id="map" style=""></div>
</div>

<script type="text/javascript">
var contactMap = new JCContactMap(<? echo CUtil::PhpToJSObject($arJSParams, false, true); ?>);

ymaps.ready(function () {
	window.contactMap.initMap();
});
</script>
